<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            Form Minat
        </p-header>

        <div class="modal-body">
            <div class="form-group">
                <label jhiTranslate="mpmApp.communicationEventProspect.product" for="field_product">Product</label>
                <p-dropdown [options]="listMotors" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}"
                            [(ngModel)]="selectedMotor" id="field_product" name="product" 
                            [filter]="true" filterBy="label" 
                            (onChange)="selectMotor(true)"
                ></p-dropdown>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.communicationEventProspect.color" for="field_color">Color</label>
                <select class="form-control" id="field_color" name="color" [(ngModel)]="communicationEventProspect.colorId" >
                    <option [ngValue]="null">Please Select</option>
                    <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features">{{featureOption.refKey}} - {{featureOption.description}}</option>
                </select>
                <small class="form-text text-muted">Pilih product untuk menampilkan pilihan warna</small>
            </div>
            <div class="form-group">
                <label class="form-control-label mandatory" jhiTranslate="mpmApp.communicationEventProspect.qty" for="field_qty">Qty</label>
                <div class="row">
                    <div class="col-md-12 ui-inputgroup">                        
                        <input type="text" 
                            class="form-control" 
                            name="quantity" id="field_quantity" maxlength="4" [(ngModel)]="communicationEventProspect.qty" jhiNumbers/>
                        <span class="ui-inputgroup-addon">Unit</span>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.communicationEventProspect.saleType" for="field_saleType">Sale Type</label>
                <select class="form-control" id="field_saleType" name="saleType" [(ngModel)]="communicationEventProspect.saleTypeId" >
                    <option [ngValue]="null">Please Select</option>
                    <option [ngValue]="saleTypeOption.idSaleType" *ngFor="let saleTypeOption of saletypes">{{saleTypeOption.description}}</option>
                </select>
            </div>
            <div class="form-group">
                <label class="form-control-label mandatory" for="field_purchasePlan">Rencana Pembelian</label>
                <select class="form-control" id="field_purchasePlan" name="purchasePlan" [(ngModel)]="communicationEventProspect.purchasePlan">
                    <option [ngValue]="null">Please Select</option>
                    <option [ngValue]="purchaseplan.value" *ngFor="let purchaseplan of purchasePlans">{{purchaseplan.label}}</option>
            </div>
        
            <div class="form-group">
                <label>Catatan</label>
                <textarea pInputTextarea class="form-control" id="field_note" name="note" [(ngModel)]="communicationEventProspect.note"></textarea>
            </div>
        </div>
    
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || disableInterestForm()"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save" 
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>    